//
// To test that clang understands -fopenmp option.
//
// RUN: %clang -ccc-print-options -fopenmp 2>&1 | FileCheck %s
// CHECK: Option 0 - Name: "-ccc-print-options", Values: {}
// CHECK: Option 1 - Name: "-fopenmp", Values: {}
//
// clang should *not* emit the below warning:
// warning: argument unused during compilation: '-fopenmp'
//
// RUN: %clang -c %s 2> %t.log
//
// RUN: grep "warning: argument unused during compilation: '-fopenmp'" %t.log | count 0
